<ion-card>
  <ion-card-content class="ion-no-padding">
    <table
      mat-table
      class="full-width-table"
      [dataSource]="dataSource"
      style="width: 100%;"
    >
      <ng-container matColumnDef="voucherNo">
        <th mat-header-cell *matHeaderCellDef>
          Voucher No
        </th>
        <td mat-cell *matCellDef="let row">
          {{ row.voucherNo }}
        </td>
      </ng-container>

      <ng-container matColumnDef="invoiceNo">
        <th mat-header-cell *matHeaderCellDef>
          invoice No.
        </th>
        <td mat-cell *matCellDef="let row">
          {{ row.invoiceNo }}
        </td>
      </ng-container>

      <ng-container matColumnDef="brand">
        <th mat-header-cell *matHeaderCellDef>
          Brand
        </th>
        <td mat-cell *matCellDef="let row">{{ row.brand }}</td>
      </ng-container>

      <ng-container matColumnDef="date">
        <th mat-header-cell *matHeaderCellDef>
          Date
        </th>
        <td mat-cell *matCellDef="let row">{{ row.date }}</td>
      </ng-container>

      <ng-container matColumnDef="amount">
        <th mat-header-cell *matHeaderCellDef>
          Amount
        </th>
        <td mat-cell *matCellDef="let row">{{ row.amount }}</td>
      </ng-container>

      <ng-container matColumnDef="remarks">
        <th mat-header-cell *matHeaderCellDef>
          Remarks
        </th>
        <td mat-cell *matCellDef="let row">{{ row.remarks }}</td>
      </ng-container>

      <ng-container matColumnDef="createdBy">
        <th mat-header-cell *matHeaderCellDef>
          Created By
        </th>
        <td mat-cell *matCellDef="let row">{{ row.createdBy }}</td>
      </ng-container>

      <ng-container matColumnDef="submittedBy">
        <th mat-header-cell *matHeaderCellDef>
          Submitted By
        </th>
        <td mat-cell *matCellDef="let row">{{ row.submittedBy }}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
  </ion-card-content>
</ion-card>
